MM-COMMON-GET(1)

NAME
mm-common-get - Copy files from mm-common to a C++ binding module that uses Meson

SYNOPSIS
mm-common-get [OPTION]... BUILDSCRIPT-DIR DOCTOOL-DIR

DESCRIPTION
Run mm-common-get to copy the mm-common build support files into the source tree of a C++ binding module.

OPTIONS

-f, --force
    forcefully replace existing files

--help
    display a help message and exit

--version
    show version information and exit

EXIT STATUS
The exit status is 0 if OK, or 1 if an error occurred.

FILES
The build support files currently copied by mm-common-get are listed below.

Meson build scripts copied to BUILDSCRIPT-DIR:
    check-dllexport-usage.py
    dist-build-scripts.py
    dist-changelog.py
    doc-reference.py
    generate-binding.py

Documentation utilities copied to DOCTOOL-DIR:
    doc_install.py
    doc_postprocess.py
    doxygen.css
    doxygen-extra.css
    tagfile-to-devhelp2.xsl

SEE ALSO
mm-common-prepare(1)
/usr/share/doc/mm-common/README
/usr/share/doc/mm-common/skeletonmm.tar.xz or
/usr/share/doc/mm-common/skeletonmm.tar.gz